> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all coupons

> Get all coupons.

<sup>Required permissions: `coupon:read`</sup>



## OpenAPI

````yaml get /coupons
openapi: 3.1.0
info:
  title: Fynn API
  description: ''
  termsOfService: https://www.fynn.eu/tos
  contact:
    name: Fynn UG (haftungsbeschränkt)
    url: https://www.fynn.eu
    email: hi@fynn.eu
  license:
    name: Proprietary
    url: https://www.fynn.eu/license
  version: 0.0.0
servers:
  - url: https://coreapi.io
    description: Production
  - url: https://preview.coreapi.io
    description: Sandbox
security:
  - JWT: []
tags: []
paths:
  /coupons:
    parameters: []
    get:
      tags:
        - Coupon
      summary: Get all coupons
      description: |-
        Get all coupons.

        <sup>Required permissions: `coupon:read`</sup>
      operationId: getCoupons
      parameters:
        - name: page
          in: query
          description: The collection page number
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 1
          style: form
          explode: false
          allowReserved: false
        - name: limit
          in: query
          description: The number of items per page
          required: false
          deprecated: false
          allowEmptyValue: true
          schema:
            type: integer
            default: 30
            minimum: 0
            maximum: 100
          style: form
          explode: false
          allowReserved: false
      responses:
        '200':
          description: Coupon collection
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Coupon-CouponRead'
                  meta:
                    type: object
                    properties:
                      pagination:
                        type: object
                        properties:
                          totalItems:
                            type: integer
                          itemsPerPage:
                            type: integer
                          currentPage:
                            type: integer
                          lastPage:
                            type: integer
                          pageTotalItems:
                            type: integer
            text/html:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Coupon-CouponRead'
      deprecated: false
      security:
        - JWT:
            - coupon:read
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl -X GET \
             /coupons \
             --header "Authorization: Bearer <token>"
components:
  schemas:
    Coupon-CouponRead:
      type: object
      description: ''
      deprecated: false
      properties:
        id:
          readOnly: true
          description: The id of this coupon.
          type: string
        code:
          description: >-
            The code that can be used to apply this coupon or to use it with the
            api.
          example: 10OFF
          type: string
        name:
          description: >-
            The name of this coupon, which will be displayed to the user in the
            checkout process, customer front, etc.
          example: 10% off
          type: string
        type:
          description: |-
            The type of this coupon.

            Possible values:
             * `percentage`: A percentage will be taken off the total plan amount.
             * `fixed_amount`: A fixed amount will be taken off the total plan amount. It will never go below 0.
          example: percentage
        percentage:
          minimum: 0
          maximum: 100
          description: >-
            The percentage this coupon should apply. **Required for type
            `percentage`.**
          example: 10
          type:
            - integer
            - 'null'
        fixedAmount:
          $ref: '#/components/schemas/MoneyEmbeddedDefaultNull-CouponRead'
          description: >-
            The fixed amount this coupon should apply. **Required for type
            `fixed_amount`.**
        frequency:
          description: |-
            The frequency at which a coupon should be applied.

            Possible values:
             * `once`: The coupon will be applied once for the first billing period.
             * `limited`: The coupon will be applied for a limited number of billing periods.
             * `lifetime`: The coupon will be applied forever.
          example: limited
        frequencyInterval:
          description: >-
            The number of billing periods the coupon will be applied for.
            **Required for frequency `limited`.**
          example: 3
          type:
            - integer
            - 'null'
        maxRedemptions:
          description: >-
            The number of times this coupon can be redeemed in total. If null,
            there is no limit.
          default: 'null'
          example: 'null'
          type:
            - integer
            - 'null'
        expiresAt:
          description: >-
            The date and time this coupon will expire. If null, there is no
            expiration date.
          default: 'null'
          example: 'null'
          type:
            - string
            - 'null'
          format: date-time
        isEnabled:
          description: Whether this coupon is enabled or not.
          default: true
          example: true
          type: boolean
        createdAt:
          readOnly: true
          description: The date and time when the resource was created.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        updatedAt:
          readOnly: true
          description: The date and time when the resource was last updated.
          example: '2021-01-01T00:00:00+00:00'
          type: string
          format: date-time
        reedemptions:
          readOnly: true
          description: >-
            Has this coupon been redeemed by a customer? If yes, it cannot be
            edited or deleted anymore.
          type: boolean
      required:
        - code
        - name
        - type
        - frequency
    MoneyEmbeddedDefaultNull-CouponRead:
      type: object
      description: ''
      deprecated: false
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````